class ruby {

package {'ruby-2.4.2-1.el6.x86_64':
ensure => present,
provider => 'rpm',
install_options => ['-ivh'],
source => "/opt/ruby-2.4.2-1.el6.x86_64.rpm",
require => File["/opt/ruby-2.4.2-1.el6.x86_64.rpm"],
}
file { "/opt/ruby-2.4.2-1.el6.x86_64.rpm":
source => "puppet:///modules/ruby/ruby-2.4.2-1.el6.x86_64.rpm"
}

file { '/etc/yum.repos.d/sensu.repo':
  path     => '/etc/yum.repos.d/sensu.repo',
  ensure   => file,
  source   => ['puppet:///modules/ruby/sensu.repo'],
  mode     => '0755',
  owner    => 'root',
  group    => 'root',
}

package { 'sensu-plugin':
    ensure   => 'installed',
    provider => 'gem',
  }

package { 'mixlib-cli':
    ensure   => 'installed',
    provider => 'gem',
  }

}
